import { createApp } from 'vue'
import App from './App.vue'
import { router } from './router'
import store from './store'
import { Notify, Toast } from 'vant';
import Vconsole from 'vconsole';
import moment from 'moment'
import '@babel/polyfill';
import Es6Promise from 'es6-promise'
Es6Promise.polyfill()

let vConsole
if (process.env.VUE_APP_DEBUG === "true") {
    const VConsole = require("vconsole");
    new VConsole(); // eslint-disable-line
    vConsole = new Vconsole();
}

moment.locale('zh-cn') // 这里是进行了汉化 不写这句默认格式是外国的

createApp(App)
.use(store)
.use(router)
.use(Notify)
.use(Toast)
.use(vConsole)
.mount('#app')
