import allModules from '../modules'
import { createRouter, createWebHashHistory } from 'vue-router';
const applications = () => import('../views/applications.vue')
let routes = [];
if (process.env.VUE_APP_ENV === "local") {

  const applicationRoute = {
    path: "/",
    name: "applications",
    component: applications,
    meta: { moduleName: 'index' }
  };
  routes.push(applicationRoute);

  allModules.map((moduleName) => {
    // routes.push(...require(`@/modules/${app}/router`).default);
    let Module = require(`@/modules/${moduleName}/router`).default || []
    Module.forEach(route => { route.meta.moduleName = moduleName });
    routes.push(...Module)
  });
} else {
  routes.push(
    ...require(`@/modules/${process.env.VUE_APP_TARGET}/router`).default,
  );
}

// routes.push({
//   path: "*",
//   redirect: routes[0].path
// });

export const router = createRouter({
  history: createWebHashHistory(process.env.BASE_URL),
  routes: routes
});
