import { createStore } from 'vuex'
import allModules from '../modules'

let modules = {};
if (process.env.VUE_APP_ENV === "local") {
  const apps = allModules;

  apps.map((app) => {
    let ary = app.split("-");
    let moduleName = "";
    ary.map((item, index) => {
      if (index > 0) {
        item = item.replace(item.charAt(0), item.charAt(0).toUpperCase());
      }
      moduleName += item;
    });
    modules[
      moduleName
    ] = require(`@/modules/${app}/store`).default;
  });
} else {
  let ary = process.env.VUE_APP_TARGET.split("-");
  let moduleName = "";
  ary.map((item, index) => {
    if (index > 0) {
      item = item.replace(item.charAt(0), item.charAt(0).toUpperCase());
    }
    moduleName += item;
  });
  modules[
    moduleName
  ] = require(`@/modules/${process.env.VUE_APP_TARGET}/store`).default;
}

const store = {
  modules,
  state: {
  },
  getters: {
  },
  mutations: {
  },
  actions: {
  },
};

export default createStore(store);

